Debugger API (PDF) - v7.0 (older) - Last updated March 5, 2015 - Send Feedback -

## 4.10. CUDBGEvent::cases_st::kernelFinished_st Struct Reference

### Public Variables

uint64_t context
  context of the kernel.
uint32_t dev
  device index of the kernel.
uint64_t function
  function of the kernel.
uint64_t functionEntry
  entry PC of the kernel.
uint64_t gridId
  grid index of the kernel.
uint64_t module
  module of the kernel.
uint32_t tid
  host thread id (or LWP id) of the thread hosting the kernel (Linux only).

### Variables

uint64_t CUDBGEvent::​cases_st::​kernelFinished_st::context [inherited]

  context of the kernel.

uint32_t CUDBGEvent::​cases_st::​kernelFinished_st::dev [inherited]

  device index of the kernel.

uint64_t CUDBGEvent::​cases_st::​kernelFinished_st::function [inherited]

  function of the kernel.

uint64_t CUDBGEvent::​cases_st::​kernelFinished_st::functionEntry [inherited]

  entry PC of the kernel.

uint64_t CUDBGEvent::​cases_st::​kernelFinished_st::gridId [inherited]

  grid index of the kernel.

uint64_t CUDBGEvent::​cases_st::​kernelFinished_st::module [inherited]

  module of the kernel.

uint32_t CUDBGEvent::​cases_st::​kernelFinished_st::tid [inherited]

  host thread id (or LWP id) of the thread hosting the kernel (Linux only).